# Class missing_key_error

- Defined in File category.hpp

## Inheritance Relationships

### Base Type

- `public std::runtime_error`

## Class Documentation

class missing_key_error : public std::runtime_error

  A missing_key_error is thrown when an attempt is made to create an index when one of the key items is missing.

  Public Functions

  inline missing_key_error(const std::string &msg, std::string key)

    Construct a new duplicate key error object.

  inline const std::string &get_key() const noexcept

    Return the name of the key that was missing.